#include <iostream>
#include <stdio.h>

using namespace std;

int Podeli(long long N, int p)
{
    if (N%p==0)
        return N/p;
    else
        return N/p+1;
}

int main()
{
    int p,q,r,br=0;
    long long L,R,i;
    scanf("%d %d %d %lli %lli",&p,&q,&r,&L,&R);
    for (i=L; i<=R; i++)
        if (i>=Podeli(i,p)+Podeli(i,q)+Podeli(i,r))
            br++;
    printf("%d",br);
    return 0;
}